parmat {pomp} | R Documentation

## Create a matrix of parameters

### Description

`parmat` is a utility that makes a vector of parameters suitable for use in pomp functions.

### Usage

    parmat(params, nrep = 1)

### Arguments

`params` | named numeric vector or matrix of parameters.
`nrep` | number of replicates (columns) desired.

### Value

`parmat` returns a matrix consisting of `nrep` copies of `params`.

### Author(s)

Aaron A. King

### Examples

    ## generate a bifurcation diagram for the Ricker map
    p <- parmat(coef(ricker()),nrep=500)
    p["r",] <- exp(seq(from=1.5,to=4,length=500))
    x <- trajectory(ricker(),times=seq(from=1000,to=2000,by=1),params=p)
    matplot(p["r",],x["N",,],pch='.',col='black',xlab="log(r)",ylab="N",log='x')

[Package pomp version 2.3 Index]